<?php
define('ENGINE_DIR', dirname (__FILE__, 2));
define('ROOT_DIR', dirname (__FILE__, 3));

$__config = file_get_contents(ENGINE_DIR . '/data/config.mp3go.php');
$mp3go_config = json_decode($__config, 1);

if (!empty($_POST['query'])) {
   $query = filter_var($_POST['query'], FILTER_SANITIZE_STRING);
   $results = file_get_contents("https://mp3go.dev/api/tracks.search?q={$query}&api_key={$mp3go_config['api_key']}");
   print($results);
}

if (!empty($_POST['poster'])) {
   $url = filter_var($_POST['poster'], FILTER_SANITIZE_STRING);
   $url_data = parse_url($url);

   if (strripos($url_data['host'], 'mp3go.dev') === false)
      exit;

   $dir = date("Y-m");
   $file = file_get_contents($url);
   $file_name = md5($url) . '_' . basename($url);
   $dir_path = ROOT_DIR . '/uploads/posts/' . $dir;
   if (!is_dir($dir_path))
      mkdir($dir_path, 0777, true);
   
   file_put_contents(ROOT_DIR . '/uploads/posts/' . $dir .'/'. $file_name, $file);
   print "/uploads/posts/{$dir}/{$file_name}";
}
