<?php

function create_row ($title, $description, $field, $class = null) {
   echo "<tr><td class=\"col-xs-6 col-sm-6 col-md-7\"><div class=\"media-heading text-semibold\">{$title}</div><span class=\"text-muted text-size-small hidden-xs\">{$description}</span></td><td class=\"col-xs-6 col-sm-6 col-md-5\">{$field}</td></tr>";
}

function create_switch ($name, $selected) {
   $selected = $selected ? 'checked' : '';
   return "<input class=\"switch\" type=\"checkbox\" name=\"{$name}\" value=\"1\" {$selected}>";
}

function create_selector ($options, $name, $selected) {
   $output = "<select class=\"uniform\" name=\"$name\">\r\n";

   foreach ($options as $name => $value) {
      $selected_attr = $name === $selected ? ' selected' : null;
      $output .= "<option value='{$name}'{$selected_attr}>{$value}</option>\n";
   }

   $output .= "</select>";
   return $output;
}